Bug 447924 - Intel Stoakley on board Ethernet devices do not start up with latest RT Kernels
Intel Stoakley on board Ethernet devices do not start up with latest RT Kernels
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
beta
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Luis Claudio R. Goncalves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 09:55 EDT by Tom Tracy
Modified: 2010-02-16 08:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-16 07:59:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (3.83 KB, text/plain)
2008-05-22 10:03 EDT, Tom Tracy
no flags Details
lspci -vvv output (47.78 KB, text/plain)
2008-05-22 10:04 EDT, Tom Tracy
no flags Details

  None (edit)
Description Tom Tracy 2008-05-22 09:55:32 EDT
Description of problem:Intel Stoakley 2 socket Quad Core with 2 onboard IOAT
network ports do not work using igb drivers. E1000 drivers and 10g drivers work
fine. 


Version-Release number of selected component (if applicable): 2.6.24.7-57


How reproducible: does not work at all 


Steps to Reproduce:
1. boot with kernels 2.6.24.7-56 or 2.6.24.7-57
2. kernel does not recognize the igb driver for eth0 or eth1
3.
  
Actual results:
On board 1gb network cards do not come up. In /var/log/messages,
With rhel 5.2 we see this 
May 19 05:36:22 perf6 kernel: e1000: eth0: e1000_probe: Intel(R) PRO/1000
Network Connection
May 19 05:36:22 perf6 kernel: igb 0000:0b:00.0: eth0: (PCIe:2.5Gb/s:Width x4)
00:30:48:7c:cf:40
May 19 05:36:22 perf6 kernel: igb 0000:0b:00.0: eth0: PBA No: ffffff-0ff


With RT kernel
May 20 04:27:10 localhost kernel: e1000: eth0: e1000_probe: Intel(R) PRO/1000
Network Connection

then nothing more
 


Expected results: eth devices to come up


Additional info:
Comment 1 Tom Tracy 2008-05-22 10:03:45 EDT
Created attachment 306386 [details]
lspci output
Comment 2 Tom Tracy 2008-05-22 10:04:31 EDT
Created attachment 306387 [details]
lspci -vvv output
Comment 3 Clark Williams 2008-05-27 18:22:54 EDT
Tom,

where can we get access to stoakley h/w?

Clark
Comment 4 Tom Tracy 2008-05-28 10:35:20 EDT
Clark
       You need to coordinate with Sanjay Rao (srao@redhat.com) of John
Shakshober (dshaks@redhat.com) for access to the machines. They are currently
using it. We moved the public network off the igb NICS's so the name of the
machine is dhcp47-68.lab.bos.redhat.com

Tom
Comment 6 Clark Williams 2009-09-23 11:22:22 EDT
is this still an issue with the latest 2.6.24.7-132 kernel?
Comment 7 Luis Claudio R. Goncalves 2010-02-16 07:59:49 EST
The igb driver was introduced on MRG 2.6.24.7-89, so it was not present on 2.6.24.7-57, the kernel used for the first test. The ixgb and ixgbe drivers were added later on and updated on kernel 2.6.24.7-138.

Our current errata kernel is 2.6.24.7-146.

I will close this bug. Please feel free to reopen it case you have any similar issue with newer kernels.

Note You need to log in before you can comment on or make changes to this bug.